Subject: Re: [bug#75959] [PATCH] services: syncthing: Added support for config file serialization.

From: Leo Famulari <[email-masked]>
Date: Thu, 6 Feb 2025 19:21:34 -0500

On Thu, Feb 06, 2025 at 05:15:27PM -0500, Zacchaeus wrote:
> From 7ef311e85b1198c752b2eec57caa0256227e079c Mon Sep 17 00:00:00 2001
> From: Zacchaeus <[email-masked]>
> Date: Sun, 21 Jul 2024 00:54:25 -0700
> Subject: [PATCH] services: syncthing: Added support for config file
>  serialization.

Thanks for the updated patch! By the way, when you generate the patches,
please use the Git option --reroll-count, so that we can keep track of
the revisions.

I applied it to the current master branch, and created a VM image based
on the lightweight-desktop template in our repo (attached).

Then, I copied the image out of the store, made it writable, and booted
it with QEMU.

------
$ ./pre-inst-env guix system image --image-type=qcow2 --no-grafts doc/os-config-lightweight-desktop.texi-syncthing --fallback --max-jobs=1 --cores=12 --keep-going --image-size=10G -v3 
/gnu/store/86zz6i1x55irgg1r74riil8avgl8hlp9-image.qcow2
$ cp /gnu/store/86zz6i1x55irgg1r74riil8avgl8hlp9-image.qcow2 ~/tmp/guix.qcow2 && chmod 600 ~/tmp/guix.qcow2
$ qemu-system-x86_64 -nic user,model=virtio-net-pci -enable-kvm -m 1024 /home/leo/tmp/guix.qcow2
------

However, when I have included an instance of syncthing-service-type in
the OS declaration, my user's home directory is owned by root, and I'm
unable to log in as my user. When I remove syncthing-service-type, that
problem does not exist.

Any ideas?